<?php

/*

   [Eis!] (C)2006-2012 Eisdl Inc.

   This is NOT a freeware, use is subject to license terms



   $Id: core_inc.php 2012-8-24

*/



if(!defined('IN_DISCUZ')) {

  exit('Access Denied');

}



$eis_default=$_G['cookie']['eisdl'] ? $_G['cookie']['eisdl'] : $_G['cache']['plugin']['eis_skin']['default'];



if($_G['uid']){

	$eis_ct = DB::fetch_first("SELECT * FROM ".DB::table('eis_skin')." WHERE uid='$_G[uid]'");

	if(!$eis_ct){

		DB::query("INSERT INTO ".DB::table('eis_skin')." (`uid`, `default`, `first`) VALUES ('$_G[uid]', '$eis_default','1')");

	}

	$_EIS['newpm']=($_G['member']['newpm'] || $_G['member']['newprompt']) ? 1 : 0;			

}



	

$_EIS['default']=$eis_ct['default'] ? $eis_ct['default'] : $eis_default;

$_EIS['login']=dunserialize($_G['cache']['plugin']['eis_skin']['login']);

$_EIS['mu']=$_G['cache']['plugin']['eis_skin']['mu'];

$_EIS['ft']=$_G['cache']['plugin']['eis_skin']['ft'];

if($_G['cache']['plugin']['eis_skin']){

	$eis_vars = array();

	foreach(explode("\n", $_G['cache']['plugin']['eis_skin']['var']) as $eis_item) {

		list($eis_index, $eis_var) = explode('|', $eis_item);

		$eis_vars[trim($eis_index)] = trim($eis_var);

	}

	$_EIS['var']=$eis_vars;		

}





?>